# Intel® Firmware Support Package (Intel® FSP) Binaries

Repository of Intel FSP binaries posted by Intel

# Intel® FSP Home Page

<https://www.intel.com/FSP>

## Config Editor tool for FSP configuration

Link: <https://github.com/tianocore/edk2/tree/master/IntelFsp2Pkg/Tools/ConfigEditor>

Readme: <https://github.com/tianocore/edk2/blob/master/IntelFsp2Pkg/Tools/UserManuals/ConfigEditorUserManual.md>

## Wiki

<https://github.com/IntelFsp/FSP/wiki>

## Support and Issue Submission Link

<https://www.intel.com/content/www/us/en/design/support/ips/training/access-and-login.html>

# FSP Project Information

Each FSP project will be hosted in a separate directory.

FSP Project Name | Directory Name | FSP Specification Version
:--------------- | :------------- | :------------------------
12th Generation Intel® Core™ processors and chipsets (formerly Alder Lake) | AlderlakeFspBinPkg | v2.3
10th, 8th & 7th Generation Intel® Core™ processors and chipsets (formerly Comet Lake Y-Series, Amber Lake, Kaby Lake Refresh, and Kaby Lake) | AmberlakeFspBinPkg | v2.1
Intel® Atom™ processor E3900 product family (formerly Apollo Lake) | ApolloLakeFspBinPkg | v2.0
Intel® Pentium® and Celeron® Processor N3000 Product Families and Intel® Atom™ x5-E8000 Processor (formerly Braswell) | BraswellFspBinPkg | v1.1
3rd Generation Intel® Xeon® Scalable processors and chipsets (formerly Cooper Lake) | CedarIslandFspBinPkg | v2.1
9th & 8th Generation Intel® Core™ processors and chipsets (formerly Coffee Lake Refresh, Coffee Lake, and Whiskey Lake) | CoffeeLakeFspBinPkg | v2.0
10th Generation Intel® Core™ processors and chipsets (formerly Comet Lake) | CometLakeFspBinPkg | v2.1
Intel® Atom™ processor C3XXX product family (formerly Denverton) | DenvertonNSFspBinPkg | v2.0
4th Generation Intel® Xeon® Scalable processors and chipsets (formerly Sapphire Rapids) | EagleStreamFspBinPkg | v2.3
Intel Atom® x6000E series, and Intel Pentium® and Celeron® N and J Series processors | ElkhartLakeFspBinPkg | v2.1
10th Generation Intel® Core™ processors and chipsets (formerly Ice Lake) | IceLakeFspBinPkg | v2.1
Intel® Xeon® D-1700 and D-2700 Processor Family (formerly Ice Lake-D LCC and HCC) | IdavilleFspBinPkg | v2.1
7th Generation Intel® Core™ processors and chipsets (formerly Kaby Lake) | KabylakeFspBinPkg | v2.0
13th Generation Intel® Core™ processors and chipsets (formerly Raptor Lake) | RaptorlakeFspBinPkg | v2.3
6th Generation Intel® Core™ processors and chipsets (formerly Sky Lake) | SkylakeFspBinPkg | v1.1
11th Generation Intel® Core™ processors and chipsets (formerly Tiger Lake) | TigerLakeFspBinPkg | v2.2
3rd Generation Intel® Xeon® Scalable processors and chipsets (formerly Ice Lake-SP) | WhitleyFspBinPkg | v2.1

# Third Party Programs

This section contains the list of third party software ("third party programs")
contained in the Intel software. This third party software, even if included
with the distribution of the Intel software, may be governed by separate license
terms, including without limitation, third party license terms, other Intel
software license terms, and open source software license terms. These separate
license terms govern your use of the third party programs as set forth in the
third-party-programs or other similarly-named section.

Third party software required notices and/or license terms are included in their
own individual license files indicated below.

---

1. EDK2  
  License type: BSD-2-Clause-Patent  
  Path to license: ./Other_Licenses/edk2_License.txt  
  URL: <https://github.com/tianocore/edk2/blob/master/License.txt>  
  Copyright: Provided in license  

2. EDK2-Platforms  
  License type: BSD-2-Clause-Patent  
  Path to license: ./Other_Licenses/edk2-platforms_License.txt  
  URL: <https://github.com/tianocore/edk2-platforms/blob/master/License.txt>  
  Copyright: Provided in license  

3. OpenSSL  
  License type: Apache License Version 2.0  
  Path to license: ./Other_Licenses/openssl_LICENSE.txt  
  URL: <https://github.com/openssl/openssl/blob/master/LICENSE.txt>  
  Copyright: Provided in license  

## Legacy FSP Projects

FSP binaries for older projects can be found in the [legacy branch](https://github.com/intel/FSP/tree/legacy)
